﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Runtime.Serialization;
using System.IO;

namespace Binaryfrmt
{
    public partial class Form1 : Form
    {
        private MemoryStream binstream; 
        public Form1()
        {
            InitializeComponent();
            this.binstream = new MemoryStream();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            AppStateSerializer serializer = new AppStateSerializer(SerializeMode.BinaryFmtStream, this.binstream);
            this.dockingManager1.SaveDockState(serializer);
            serializer.PersistNow();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.binstream.Position = 0;
            AppStateSerializer serializer = new AppStateSerializer(SerializeMode.BinaryFmtStream, this.binstream);
            this.dockingManager1.LoadDockState(serializer);
        }
    }
}
